获取应用程序对象。 支持的平台:仅窗口 言论对象表示应用程序的帧控件和路径设置,并提供在对象层次结构中向下导航的方法。Application 例子工 务 局: Sub Example_Application() ' This example creates a line and then uses the ' Application property of the line to return the ' application name. Dim lineObj As AcadLine Dim startPoint(0 To 2) As Double Dim endPoint(0 To 2) As Double Dim myApp As AcadApplication ' Create a new line reference startPoint(0) = 0: startPoint(1) = 0: startPoint(2) = 0 endPoint(0) = 2: endPoint(1) = 2: endPoint(2) = 0 Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint) lineObj.Update ' Return the application for the object Set myApp = lineObj.Application ' Display the name of the application MsgBox "The application name is: " & myApp.name, vbInformation, "Application Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_Application() ;; This example creates a line and then uses the ;; Application property of the line to return the ;; application name. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Create a new line reference (setq startPoint (vlax-3d-point 0 0 0) endPoint (vlax-3d-point 2 2 0)) (setq modelSpace (vla-get-ModelSpace doc)) (setq lineObj (vla-AddLine modelSpace startPoint endPoint)) (vla-Update lineObj) ;; Return the application for the object (setq myApp (vla-get-Application lineObj)) ;; Display the name of the application (alert (strcat "The application name is: " (vla-get-Name myApp))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:19
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.